Skip to main content
GET
/
api
/
v1
/
aggregated-brand-sources-details
Brand Sources Details
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/aggregated-brand-sources-details \
  --header 'Authorization: Bearer <token>'
{
  "total_count": 123,
  "items": [
    {
      "keyword_id": "<string>",
      "keyword_text": "<string>",
      "keyword_type": "Generic",
      "type": "<string>",
      "ranks": [
        123
      ],
      "source": "Bing",
      "thematic_id": "<string>",
      "thematic_name": "<string>",
      "topic_id": "<string>",
      "topic_name": "<string>",
      "nb_my_brand_mentions": 123,
      "persona_name": "<string>",
      "strength_name": "<string>",
      "weakness_name": "<string>",
      "related_product_name": "<string>",
      "sub_brand_name": "<string>",
      "score": 123,
      "new_sentiment_score": 123,
      "new_sentiment_positive_pct": 123,
      "new_sentiment_negative_pct": 123,
      "new_sentiment_neutral_pct": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter_type
enum<string>
default:all
Available options:
all,
source,
link
entity_type
enum<string>
required

Filter by DOMAIN or URL

Available options:
domain,
url
entity_value
string
required

Domain or URL value to filter by

search_query
string | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
related_product_ids
string[] | null
sub_brand_ids
string[] | null
perception_type
string | null
page_number
integer | null
rows_per_page
integer | null
sort_column
enum<string> | null
Available options:
competitor_type,
domain,
url,
type,
engines,
visibility_score,
nb_urls,
nb_total_results,
nb_my_brand_mentions,
presence_rate,
avg_ranking,
sentiment_score,
keyword_text,
ranks
sort_direction
enum<string> | null
Available options:
asc,
desc
project_id
string
required

Project Id

collect_ids
string[]

Collect Ids

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
client_id
string
required

Client id

thematics
string[]
required

Thematic

keyword_type
enum<string>[]
required

Keyword Type

Available options:
Generic,
Brand
competitor_types
enum<string>[] | null

Competitor Types

Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN

Response

Successful Response

total_count
integer
required
items
AggregatedBrandSourcesDetailsResponse · object[]
required